org.vishia.guiViewCfg

## Class ViewCfg.CallingArguments

- java.lang.Object
- - org.vishia.gral.area9.GuiCallingArgs
  - - org.vishia.guiViewCfg.ViewCfg.CallingArguments

- Enclosing class:
    ViewCfg

      static class ViewCfg.CallingArguments
      extends GuiCallingArgs

  The command-line-arguments may be stored in an extra class, which can arranged in any other class too. The separation of command line argument helps to invoke the functionality with different calls, for example calling in a GUI, calling in a command-line-batch-process or calling from ANT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `sFileCfg`
    `(package private) java.lang.String` | `sFileCtrlValues`
    `(package private) java.lang.String` | `sFileGui` Name of the config-file for the Gui-appearance.
    `(package private) java.lang.String` | `sFileOamUcell` File with the values from the S7 to show.
    `(package private) java.lang.String` | `sFileOamValues` File with the values from the S7 to show.
    `(package private) java.lang.String` | `sParamBin` Directory where sFileCfg is placed, with / on end.

    - ### Fields inherited from class org.vishia.gral.area9.GuiCallingArgs

      `cfgConditions, dirHtmlHelp, fileGuiCfg, msgConfig, positionWindow, sizeShow, sOwnIpcAddr, sPathZbnf, sPluginCfg, sTimeZone, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallingArguments()`

  - ### Method Summary

    - ### Methods inherited from class org.vishia.gral.area9.GuiCallingArgs

      `getDirCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sFileGui

          java.lang.String sFileGui

      Name of the config-file for the Gui-appearance.

    - #### sParamBin

          java.lang.String sParamBin

      Directory where sFileCfg is placed, with / on end. The current dir if sFileCfg is given without path.

    - #### sFileCtrlValues

          java.lang.String sFileCtrlValues

    - #### sFileOamValues

          java.lang.String sFileOamValues

      File with the values from the S7 to show.

    - #### sFileOamUcell

          java.lang.String sFileOamUcell

      File with the values from the S7 to show.

    - #### sFileCfg

          java.lang.String sFileCfg

  - ### Constructor Detail

    - #### CallingArguments

          CallingArguments()